ldns-config(1)

NAME
ldns-config - show compiler and linker flags for ldns usage.

SYNOPSIS
ldns-config [ OPTIONS ]

DESCRIPTION
When writing programs using ldns, you have to tell the compiler where to look for include files and what libraries from which location to link to. ldns-config can be used to find out what flags to use with the C compiler and the linker.

OPTIONS

--cflags
    Show the C compiler flags needed to compile with ldns

--libs
    Show the flags to be used to link with ldns

--version
    Shows the ldns version of the installed ldns library

--libversion
    Shows version of the binary api of the installed ldns library

--help
    Show ldns-config usage description

AUTHOR
Written by the ldns team.

REPORTING BUGS
Report bugs to <ldns-team@nlnetlabs.nl>.

COPYRIGHT
Copyright (C) 2011 NLnet Labs. This is free software. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.